ly123 发表于 2005-12-7 18:06:32

cl root 密码忘了怎么 解决????

cl root密码忘了怎么 解决???? 除了重装

DreamCat 发表于 2005-12-9 11:55:43

可以的,不过你需要写一个脚本或者用linux版本的制作盘带的 rmpassword.sh。我不知道较新版本 里是否包含这个工具。复制到磁盘,启动,执行~,还有就是别忘记给这个教本设置权限 755 就是了。还有就是webadmin的密码也需要处理的。
我上传了一个ZIP压缩的脚本,其余的自己处理吧~
我曾经做过一个单独的插件,后来因为资料损坏,丢失了很多东西~。你也可以自己做一个,很简单的。
#!/bin/sh
#
# This utility removes the root password from an existing Coyote
# Linux floppy.

clear
echo "Coyote Linux root password removal utility 1.0.0"
echo
echo "To remove the root password from your Coyote Linux boot floppy, place"
echo "it in the floppy drive and press enter to continue (or press CTRL-C to"
echo "abort this script)."
read JUNK

mount /dev/fd0 mnt -t msdos
if ! [ $? = 0 ]; then
        echo "Failed to mount floppy."
        exit 1
fi

if [ -r mnt/etc.lrp ]; then
        ETCFILE=etc.lrp
elif [ -r mnt/etc.tgz ]; then
        ETCFILE=etc.tgz
else
        echo 'Unable to find "etc" package on floppy disk.'
        umount mnt
        exit 1
fi

mkdir pkgtmp
cp mnt/${ETCFILE} pkgtmp
cd pkgtmp
tar -xzf $ETCFILE

if ! [ -r etc/shadow ]; then
        echo "Unable to locate password database file."
        cd ..
        rm -Rf pkgtmp
        umount mnt
        exit 1
fi

# If telnet access it enabled, disable it
[ -r etc/remote.allow ] && rm -f etc/remote.allow

cp -f ../shadow.tmp etc/shadow
chmod 600 etc/shadow

rm -f ../${ETCFILE}
tar -czf ../${ETCFILE} .

cd ..
cp -f $ETCFILE mnt/
rm -Rf pkgtmp
rm $ETCFILE
umount mnt
sync

echo "Password removal complete."
echo
页: [1]
查看完整版本: cl root 密码忘了怎么 解决????